{{ '<?php' | raw }}
/**
 * Created by log1st via Seeder Generator.
 * Date: {{ date }}
 * Time: {{ time }}
 *
 * Seeds data from {{ tableName | raw }} with {{ (applyTime ? ('records created after ' ~ applyTime) : 'all records') | raw }}
 * Previous seed {{ (previousSeed ? ('id is ' ~ previousSeed) : 'doesn\'t exist') | raw }}
 */

namespace console\migrations\seeds;


use common\models\Language;
use console\components\Seed;

class {{ className }} extends Seed
{

    public $table = '{{ tableName }}';

    public function columns()
    {
        return [
            '{{ columns | join('\', \'') | raw }}'
        ];
    }

    public function rows()
    {
        return [
    {% for row in rows %}
        [ {% for item in row %}
{% spaceless %}            '{{- item | replace({'\\\'': '{REPLACE}'}) | replace({'\'': '\\\''}) | replace({'{REPLACE}': '\\\''}) | raw -}}'{{- not loop.last ? ', ' : '' -}}
{% endspaceless %}{% endfor %} ]{{not loop.last ? ',' : ''}}
    {% endfor %}
    ];
    }
}